org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryClientReconnectMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryClientReconnectMessage

All Implemented Interfaces:
  Serializable

    @TcpDiscoveryEnsureDelivery
    public class TcpDiscoveryClientReconnectMessage
    extends TcpDiscoveryAbstractMessage

Message telling that client node is reconnecting to topology.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryClientReconnectMessage(UUID creatorNodeId, UUID routerNodeId, IgniteUuid lastMsgId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`IgniteUuid` `lastMessageId()`
`Collection<TcpDiscoveryAbstractMessage>` `pendingMessages()`
`void` `pendingMessages(Collection<TcpDiscoveryAbstractMessage> msgs)`
`UUID` `routerNodeId()`
`boolean` `success()`
`void` `success(boolean success)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryClientReconnectMessage

    public TcpDiscoveryClientReconnectMessage(UUID creatorNodeId,
                                              UUID routerNodeId,
                                              IgniteUuid lastMsgId)

Parameters:
  `creatorNodeId` - Creator node ID.
  `routerNodeId` - New router node ID.
  `lastMsgId` - Last message ID.

### Method Detail

#### routerNodeId

    public UUID routerNodeId()

Returns:
  New router node ID.

#### lastMessageId

    public IgniteUuid lastMessageId()

Returns:
  Last message ID.

#### pendingMessages

    public void pendingMessages(Collection<TcpDiscoveryAbstractMessage> msgs)

Parameters:
  `msgs` - Pending messages.

#### pendingMessages

    public Collection<TcpDiscoveryAbstractMessage> pendingMessages()

Returns:
  Pending messages.

#### success

    public void success(boolean success)

Parameters:
  `success` - Success flag.

#### success

    public boolean success()

Returns:
  Success flag.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `TcpDiscoveryAbstractMessage`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022